package cn.fateverse.query.mapper;

import cn.fateverse.query.entity.UniColumn;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author Clay
 * @date 2023-07-22
 */
public interface UniColumnMapper {

    /**
     * 查询展示列表
     *
     * @param queryId id
     * @return 结果
     */
    List<UniColumn> selectByQueryId(Long queryId);

    /**
     * 批量新增
     *
     * @param columns 列
     * @return 处理结果
     */
    Integer batchInsert(List<UniColumn> columns);

    /**
     * 批量删除
     *
     * @param queryId 查询的id
     * @return 处理结果
     */
    Integer batchDeleteByQueryId(Long queryId);

    /**
     * 批量更新
     */
    int batchUpdate(List<UniColumn> updateList);

    /**
     * 批量删除
     */
    int batchRemove(@Param("ids") List<Long> removeIds);
}
